Hitachi Vantara Pentaho Community Forums
Results 1 to 2 of 2

Thread: Java casting error after upgrading from PDI 6.1 to 7.1

  1. #1
    Join Date
    Feb 2011
    Posts
    5

    Default Java casting error after upgrading from PDI 6.1 to 7.1

    Hi, we're trying to upgrade from PDI 6.1.0.1-196 CE to PDI 7.1.0.0-12 CE using java 1.8.0_179.

    Job that ran fine under 6.1 now has abort on 7.1 Calculator step with this error:

    error: java.util.Date cannot be cast to java.sql.Timestamp

    this is happening when removing the time from an Oracle sourced timestamp column trunc(sysdate) and assigning it to a date column which works fine in version 6.

    Any suggestion or thoughts?

    Thank you,
    Adam

  2. #2
    Join Date
    Feb 2011
    Posts
    5

    Default

    We had same issue on Win 2008 Server R2 and Linux.

    Pentaho 8.1 did work on both, so we may go with that version.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Privacy Policy | Legal Notices | Safe Harbor Privacy Policy

Copyright © 2005 - 2019 Hitachi Vantara Corporation. All Rights Reserved.